import { History } from '../API';
import { CRUDService } from '../core';
export declare class HistoryService extends CRUDService<History> {
    get create(): (input: Partial<Record<never, import("../../..").ModelWithId[]> & Record<import("../core").HasOneRelationsOf<History>, import("../../..").ModelWithId>> & Omit<import("../API").CreateOneHistoryInput, import("../core").HasOneRelationsOf<History>>, options?: import("../core").MutationOptionsWithoutMutation<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").HistoryCreateOneMutation, import("../API").Exact<{
        input: import("../API").CreateOneHistoryInput;
    }>>>) => Promise<{
        __typename?: "History";
        id: string;
        change?: string;
        propertyChanged?: string;
        changeMaker?: any;
        changeMakerID?: string;
        segmentID?: string;
        signalID?: string;
        needID?: string;
        topicID?: string;
        created_at: any;
    }>;
    get useCreate(): (options?: import("../core").CacheUpdateOptions<import("../core").ServiceMutationHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").HistoryCreateOneMutation, import("../API").Exact<{
        input: import("../API").CreateOneHistoryInput;
    }>>>>) => [(payload: import("../core").InputAndRelations<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").HistoryCreateOneMutation, import("../API").Exact<{
        input: import("../API").CreateOneHistoryInput;
    }>>, History>) => Promise<{
        __typename?: "History";
        id: string;
        change?: string;
        propertyChanged?: string;
        changeMaker?: any;
        changeMakerID?: string;
        segmentID?: string;
        signalID?: string;
        needID?: string;
        topicID?: string;
        created_at: any;
    }>, import("@apollo/client").MutationResult<{
        createOne: import("../../..").ModelWithId;
    }>];
    get list(): (input: import("../API").Exact<{
        filter?: import("../API").HistoryFilter;
        paging?: import("../API").CursorPaging;
        sorting?: import("../API").HistorySort | import("../API").HistorySort[];
    }>, options?: import("../core").ServiceQueryOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").HistoryListQuery, import("../API").Exact<{
        filter?: import("../API").HistoryFilter;
        paging?: import("../API").CursorPaging;
        sorting?: import("../API").HistorySort | import("../API").HistorySort[];
    }>>>) => Promise<{
        __typename?: "HistoryConnection";
        totalCount: number;
        edges: {
            __typename?: "HistoryEdge";
            cursor: any;
            node: {
                __typename?: "History";
                id: string;
                change?: string;
                propertyChanged?: string;
                changeMaker?: any;
                changeMakerID?: string;
                segmentID?: string;
                signalID?: string;
                needID?: string;
                topicID?: string;
                created_at: any;
            };
        }[];
        pageInfo: {
            __typename?: "PageInfo";
            endCursor?: any;
            startCursor?: any;
            hasNextPage?: boolean;
            hasPreviousPage?: boolean;
        };
    }>;
    get useList(): (options: import("../core").CacheUpdateOptions<import("../core").ServiceQueryHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").HistoryListQuery, import("../API").Exact<{
        filter?: import("../API").HistoryFilter;
        paging?: import("../API").CursorPaging;
        sorting?: import("../API").HistorySort | import("../API").HistorySort[];
    }>>>>) => {
        isLoading: boolean;
        isRefetching: boolean;
        hasMore: any;
        refetching: boolean;
        client: import("@apollo/client").ApolloClient<any>;
        observable: import("@apollo/client").ObservableQuery<import("../API").HistoryListQuery, import("../API").Exact<{
            filter?: import("../API").HistoryFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").HistorySort | import("../API").HistorySort[];
        }>>;
        data: import("../API").HistoryListQuery;
        previousData?: import("../API").HistoryListQuery;
        error?: import("@apollo/client").ApolloError;
        errors?: readonly import("graphql").GraphQLFormattedError[];
        loading: boolean;
        networkStatus: import("@apollo/client").NetworkStatus;
        called: boolean;
        startPolling: (pollInterval: number) => void;
        stopPolling: () => void;
        subscribeToMore: <TSubscriptionData = import("../API").HistoryListQuery, TSubscriptionVariables extends import("@apollo/client").OperationVariables = import("../API").Exact<{
            filter?: import("../API").HistoryFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").HistorySort | import("../API").HistorySort[];
        }>>(options: import("@apollo/client").SubscribeToMoreOptions<import("../API").HistoryListQuery, TSubscriptionVariables, TSubscriptionData>) => () => void;
        updateQuery: <TVars extends import("@apollo/client").OperationVariables = import("../API").Exact<{
            filter?: import("../API").HistoryFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").HistorySort | import("../API").HistorySort[];
        }>>(mapFn: (previousQueryResult: import("../API").HistoryListQuery, options: Pick<import("@apollo/client").WatchQueryOptions<TVars, import("../API").HistoryListQuery>, "variables">) => import("../API").HistoryListQuery) => void;
        refetch: (variables?: Partial<import("../API").Exact<{
            filter?: import("../API").HistoryFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").HistorySort | import("../API").HistorySort[];
        }>>) => Promise<import("@apollo/client").ApolloQueryResult<import("../API").HistoryListQuery>>;
        reobserve: (newOptions?: Partial<import("@apollo/client").WatchQueryOptions<import("../API").Exact<{
            filter?: import("../API").HistoryFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").HistorySort | import("../API").HistorySort[];
        }>, import("../API").HistoryListQuery>>, newNetworkStatus?: import("@apollo/client").NetworkStatus) => Promise<import("@apollo/client").ApolloQueryResult<import("../API").HistoryListQuery>>;
        variables: import("../API").Exact<{
            filter?: import("../API").HistoryFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").HistorySort | import("../API").HistorySort[];
        }>;
        fetchMore: <TFetchData = import("../API").HistoryListQuery, TFetchVars extends import("@apollo/client").OperationVariables = import("../API").Exact<{
            filter?: import("../API").HistoryFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").HistorySort | import("../API").HistorySort[];
        }>>(fetchMoreOptions: import("@apollo/client").FetchMoreQueryOptions<TFetchVars, TFetchData> & {
            updateQuery?: (previousQueryResult: import("../API").HistoryListQuery, options: {
                fetchMoreResult: TFetchData;
                variables: TFetchVars;
            }) => import("../API").HistoryListQuery;
        }) => Promise<import("@apollo/client").ApolloQueryResult<TFetchData>>;
    };
    get listSimple(): (input: import("../API").Exact<{
        filter?: import("../API").HistoryFilter;
        paging?: import("../API").CursorPaging;
        sorting?: import("../API").HistorySort | import("../API").HistorySort[];
    }>, options?: import("../core").ServiceQueryOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").HistoryListSimpleQuery, import("../API").Exact<{
        filter?: import("../API").HistoryFilter;
        paging?: import("../API").CursorPaging;
        sorting?: import("../API").HistorySort | import("../API").HistorySort[];
    }>>>) => Promise<{
        __typename?: "HistoryConnection";
        totalCount: number;
        edges: {
            __typename?: "HistoryEdge";
            cursor: any;
            node: {
                __typename?: "History";
                id: string;
            };
        }[];
        pageInfo: {
            __typename?: "PageInfo";
            endCursor?: any;
            startCursor?: any;
            hasNextPage?: boolean;
            hasPreviousPage?: boolean;
        };
    }>;
    get useListSimple(): (options: import("../core").CacheUpdateOptions<import("../core").ServiceQueryHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").HistoryListSimpleQuery, import("../API").Exact<{
        filter?: import("../API").HistoryFilter;
        paging?: import("../API").CursorPaging;
        sorting?: import("../API").HistorySort | import("../API").HistorySort[];
    }>>>>) => {
        isLoading: boolean;
        isRefetching: boolean;
        hasMore: any;
        refetching: boolean;
        client: import("@apollo/client").ApolloClient<any>;
        observable: import("@apollo/client").ObservableQuery<import("../API").HistoryListSimpleQuery, import("../API").Exact<{
            filter?: import("../API").HistoryFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").HistorySort | import("../API").HistorySort[];
        }>>;
        data: import("../API").HistoryListSimpleQuery;
        previousData?: import("../API").HistoryListSimpleQuery;
        error?: import("@apollo/client").ApolloError;
        errors?: readonly import("graphql").GraphQLFormattedError[];
        loading: boolean;
        networkStatus: import("@apollo/client").NetworkStatus;
        called: boolean;
        startPolling: (pollInterval: number) => void;
        stopPolling: () => void;
        subscribeToMore: <TSubscriptionData = import("../API").HistoryListSimpleQuery, TSubscriptionVariables extends import("@apollo/client").OperationVariables = import("../API").Exact<{
            filter?: import("../API").HistoryFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").HistorySort | import("../API").HistorySort[];
        }>>(options: import("@apollo/client").SubscribeToMoreOptions<import("../API").HistoryListSimpleQuery, TSubscriptionVariables, TSubscriptionData>) => () => void;
        updateQuery: <TVars extends import("@apollo/client").OperationVariables = import("../API").Exact<{
            filter?: import("../API").HistoryFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").HistorySort | import("../API").HistorySort[];
        }>>(mapFn: (previousQueryResult: import("../API").HistoryListSimpleQuery, options: Pick<import("@apollo/client").WatchQueryOptions<TVars, import("../API").HistoryListSimpleQuery>, "variables">) => import("../API").HistoryListSimpleQuery) => void;
        refetch: (variables?: Partial<import("../API").Exact<{
            filter?: import("../API").HistoryFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").HistorySort | import("../API").HistorySort[];
        }>>) => Promise<import("@apollo/client").ApolloQueryResult<import("../API").HistoryListSimpleQuery>>;
        reobserve: (newOptions?: Partial<import("@apollo/client").WatchQueryOptions<import("../API").Exact<{
            filter?: import("../API").HistoryFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").HistorySort | import("../API").HistorySort[];
        }>, import("../API").HistoryListSimpleQuery>>, newNetworkStatus?: import("@apollo/client").NetworkStatus) => Promise<import("@apollo/client").ApolloQueryResult<import("../API").HistoryListSimpleQuery>>;
        variables: import("../API").Exact<{
            filter?: import("../API").HistoryFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").HistorySort | import("../API").HistorySort[];
        }>;
        fetchMore: <TFetchData = import("../API").HistoryListSimpleQuery, TFetchVars extends import("@apollo/client").OperationVariables = import("../API").Exact<{
            filter?: import("../API").HistoryFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").HistorySort | import("../API").HistorySort[];
        }>>(fetchMoreOptions: import("@apollo/client").FetchMoreQueryOptions<TFetchVars, TFetchData> & {
            updateQuery?: (previousQueryResult: import("../API").HistoryListSimpleQuery, options: {
                fetchMoreResult: TFetchData;
                variables: TFetchVars;
            }) => import("../API").HistoryListSimpleQuery;
        }) => Promise<import("@apollo/client").ApolloQueryResult<TFetchData>>;
    };
}
